<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Dashboard</title>

    <link rel="preconnect" href="https://fonts.bunny.net">
    <link href="https://fonts.bunny.net/css?family=figtree:400,500,600&display=swap" rel="stylesheet" />

    <!-- Font Awesome CDN -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.7.2/css/all.min.css"
        integrity="sha512-Evv84Mr4kqVGRNSgIGL/F/aIDqQb7xQ2vcrdIwxfjThSH8CSR7PBEakCr51Ck+w+/U6swU2Im1vVX0SVk9ABhg=="
        crossorigin="anonymous" referrerpolicy="no-referrer" />

    @vite(['resources/css/app.css', 'resources/js/app.js'])
    <script defer src="https://unpkg.com/alpinejs@3.x.x/dist/cdn.min.js"></script>
</head>

<body class="antialiased bg-gray-100 text-gray-800">

    <div x-data="{ sidebarOpen: false }" @keydown.window.escape="sidebarOpen = false" class="flex flex-col md:flex-row p-0 md:p-6 gap-3"
        style="max-height: 100vh;">

        <!-- Sidebar -->
        <div :class="{
            'translate-x-0': sidebarOpen,
            '-translate-x-full': !sidebarOpen
        }"
            class="fixed z-40 inset-y-0 left-0 w-56 bg-white border-rtransform transition-transform duration-300 md:relative md:translate-x-0 md:flex md:flex-col md:w-56 md:z-auto md:rounded">
            <div class="p-4 flex justify-between items-center">
                <span class="font-bold border-b-2 p-5">
                    <img src="./assets/image/logoinvestpahang.png" />
                </span>
            </div>

            <nav class="flex-1 px-2 space-y-2">

                <!-- Dashboard -->
                <a href="/" class="flex items-center gap-2 px-4 py-2 rounded hover:bg-gray-200">
                    <i class="fa-solid fa-table-columns w-4 text-xs text-[#BD8736]"></i>
                    <span>Dashboard</span>
                </a>

                <a href="/agency" class="flex items-center gap-2 px-4 py-2 rounded hover:bg-gray-200">
                    <i class="fa-solid fa-paste w-4 text-xs text-[#BD8736]"></i>
                    <span>Senarai Agensi</span>
                </a>

                <a href="/project" class="flex items-center gap-2 px-4 py-2 rounded hover:bg-gray-200">
                    <i class="fa-solid fa-folder-open w-4 text-xs text-[#BD8736]"></i>
                    <span>Senarai Projek</span>
                </a>

                <a href="/agency_performance" class="flex items-center gap-2 px-4 py-2 rounded hover:bg-gray-200">
                    <i class="fa-solid fa-coins w-4 text-xs text-[#BD8736]"></i>
                    <span>Laporan Agensi</span>
                </a>

            </nav>
        </div>

        <!-- Mobile Overlay -->
        <div x-show="sidebarOpen" @click="sidebarOpen = false" x-transition.opacity
            class="fixed inset-0 bg-black bg-opacity-50 z-30 md:hidden"></div>


        <!-- Top Bar -->
        <div class="flex items-center gap-4 p-1 px-5 bg-white md:hidden">
            <!-- Mobile Toggle Button -->
            <button @click="sidebarOpen = true" class="md:hidden bg-white p-2">
                <svg class="w-6 h-6 text-gray-700" fill="none" stroke="currentColor" stroke-width="2"
                    viewBox="0 0 24 24">
                    <path stroke-linecap="round" stroke-linejoin="round" d="M4 6h16M4 12h16M4 18h16" />
                </svg>
            </button>

            <span class="font-bold mx-auto">
                <img src="./assets/image/logoinvestpahang.png" width="95" />
            </span>

            <div class="relative cursor-pointer">
                @if ($hasNotification)
                    <div class="absolute top-[2px] left-0 w-2 h-2 bg-[#E50A0A] rounded-full"></div>
                @endif
                <i class="fa-regular fa-bell text-md hover:text-[#BD8736]"></i>
            </div>
        </div>


        <!-- Content -->
        <div class="flex-1 overflow-y-scroll overflow-x-hidden" style="max-height: 97vh">
            @yield('content')
        </div>

        @yield('scripts')
    </div>

</body>

</html>
